Bug 85 - efix doesn't convert files unless -ansi added to compiler
efix doesn't convert files unless -ansi added to compiler
Product: Red Hat Linux
Classification: Retired
Component: efax (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1998-11-16 04:15 EST by hay-warb
Modified: 2014-03-19 07:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-02-02 12:28:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hay-warb 1998-11-16 04:15:19 EST
efix, the part of the fax package that converts incoming
files to fax format, doesn't produce a TIFF with valid X
dimension, nor valid dpi values.

This can be cured by recompiling with the compiler set to
"-ansi". I can't explain this, but it cured my problem (not
getting valid TIFF files that could be seen by "fax view" or
by any program that could read TIFF files.

The compiler used was standard gcc- and optimization
0 (-O0). Haven't tried anything else.
Comment 1 Preston Brown 1999-02-02 12:28:59 EST
the version of efax in RawHide (and hence Red Hat 6.0) does not have
this problem.

Note You need to log in before you can comment on or make changes to this bug.